<?php
include 'inc/mysql.php';
include 'inc/head.php';

function nav($all,$p=1, $go , $page)
{
$max = ceil($all/$page);
if($max>1)
{
echo'<div style="padding:1px 5px 1px 5px;font-size:11px;"><b>Страницы:</b> ';
$in=-4;
$out=4;
if($p!=1)
{
echo (' <a href="'.$go.'p=1">1</a> ');
}
else
{
echo ('<b>1</b>');
}
for ($ot=$in; $ot<=$out; $ot++)
{
$str=$p+$ot;
if($str>1 AND $str<$max)
{
if($in==$ot AND $str>2)
{
echo (' [...] ');
}
if($ot!=0)
{
echo (' <a href="'.$go.'p='.$str.'"> '.$str.' </a>');
}
else
{
echo (' <b>'.$str.'</b>');
}
if($ot==$out AND $str<$max-1)
{
echo (' [...] ');
}
}
}
if($p!=$max)
{
echo (' <a href="'.$go.'p='.$max.'"> '.$max.' </a>');
}
elseif($max>1)
{
echo ('<b>'.$max.'</b>');
}
echo '</div>';
}
}

function filesize_get($file)
{
    // проверяем существует ли файл
    if(!file_exists($file)) return "Файл  отсутствует."; 

   //определяем размер файла
  $filesize = filesize($file); 

   // Если размер переданного в функцию файла больше 1кб
   if($filesize > 1024)
   {
       $filesize = ($filesize/1024);
       // если размер файла больше одного килобайта
       // пересчитываем в мегабайтах
       if($filesize > 1024)
       {
            $filesize = ($filesize/1024);
           // если размер файла больше одного мегабайта
           // пересчитываем в гигабайтах
           if($filesize > 1024)
           {
               $filesize = ($filesize/1024);
               $filesize = round($filesize, 1);
               return $filesize." ГБ";    

           }
           else
           {
               $filesize = round($filesize, 1);
               return $filesize." MБ";    
           }   

       }
       else
       {
           $filesize = round($filesize, 1);
           return $filesize." Кб";    
       } 

   }
   else
   {
       $filesize = round($filesize, 1);
       return $filesize." байт";    
   } 

} 

switch($_GET['act']){

default:

echo '<center>SCRIPTS LOAD CENTER<br><small>Самые лучшие скрипты wap\'a!</small></center>';

$dir_count =  mysql_fetch_assoc(mysql_query("SELECT * FROM `dir`"));

if($dir_count!=0){

$dir = mysql_query("SELECT * FROM `dir`");

while($dir2 = @mysql_fetch_array($dir)){

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#eee;margin-bottom:1px;"><a href="?act=view_dir&amp;dir_id='.$dir2['id'].'">'.$dir2['name'].'</a> ('.mysql_result(mysql_query('SELECT COUNT(*) FROM `file` WHERE `dir`="'.$dir2['id'].'"'),0).')</div>';

}

}else{

echo '<div style="padding:1px 5px 1px 5px;font-size:11px;">Папки еще не созданы...</div>';

}

echo '<a href="?act=search"><b>Поиск файлов</b></a><br>';

break;

case 'view_dir':

$dir_id = $_GET['dir_id'];

$dir_id = intval($_GET['dir_id']);

$dir_check =  mysql_fetch_assoc(mysql_query("SELECT * FROM `dir` where id='".$dir_id."'"));

if(!$dir_check){

header("Location: /?");

}


$dir_info = mysql_fetch_array(mysql_query("SELECT * FROM `dir` WHERE id='".$dir_id."'"));

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#eee;margin-bottom:1px;"><a href="/?">Главная</a>/'.$dir_info['name'].'</div>';

if(isset($_SESSION['auth']) and $_SESSION['auth']==1){

echo '<div style="padding:1px 5px 1px 5px;font-size:11px;background:#eee;margin-bottom:1px;"><a href="?act=upload&dir_id='.$dir_id.'">Добавить файл</a></div>';

}

echo '<br>';

echo '<small><b>Файлов:</b> '.mysql_result(mysql_query('SELECT COUNT(*) FROM `file` WHERE `dir`="'.$dir_id.'"'),0).'<small><br><br>';

$files_count=mysql_result(mysql_query("SELECT COUNT(*) FROM `file` WHERE `dir`='$dir_id'"), 0);
$page=isset($_GET['p'])?$_GET['p']:1;

if($files_count>0){

$file=mysql_query("SELECT * FROM `file` WHERE `dir`='$dir_id' ORDER BY `id` DESC LIMIT ".(($page-1)*10).", 10");
while($file2=@mysql_fetch_array($file)){

$file_url = "dir/$file2[dir]/$file2[file]";

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#f5f5f5;margin-bottom:1px;">';

if($file2['date_upload']>(time()-3600-3600-3600-3600-3600-3600-3600-3600-3600-3600-3600-3600)){

echo ' <b>new</b>';

}

echo ' <a href="?act=view_file&amp;file_id='.$file2['id'].'"><b>'.$file2['name'].'</b></a> ['.substr($file2[file],1+strrpos($file2[file],".")).'|'.filesize_get($file_url).']</div>
<div style="padding:1px 5px 1px 5px;font-size:10px;">'.mb_substr($file2[about], 0, 300).'...<br><a href="?act=load_file&amp;file_id='.$file2['id'].'"><b>Скачать</b></a></div>';

}
nav($files_count, $page, '?act=view_dir&dir_id='.$dir_id.'&', 10); //навигация

}else{

echo '<div style="padding:1px 5px 1px 5px;font-size:11px;">Папки пуста...</div>';


}

break;

case 'upload':

if(isset($_SESSION['auth']) and $_SESSION['auth']==1){

$dir_id = $_GET['dir_id'];

$dir_id = intval($_GET['dir_id']);

$dir_check =  mysql_fetch_assoc(mysql_query("SELECT * FROM `dir` where id='".$dir_id."'"));

if(!$dir_check){

header("Location: /?");

}

$dir_info = mysql_fetch_array(mysql_query("SELECT * FROM `dir` WHERE id='".$dir_id."'"));

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#eee;margin-bottom:1px;"><a href="/?">Главная</a>/'.$dir_info['name'].'</div>';

echo '
<div style="padding:1px 5px 1px 5px;font-size:11px;background:#F9F9F9;">
<form action="?act=upload_go&amp;dir_id='.$dir_id.'" method="post" enctype="multipart/form-data">
Файл:<br><input type="file" name="filename" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
Скриншоты:<br>
<input type="file" name="src1" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
<input type="file" name="src2" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
<input type="file" name="src3" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
<input type="file" name="src4" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
<input type="file" name="src5" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
Название файла:<br><input name="name"/><br>
Описание файла:<br>
<textarea name="about" rows="3"></textarea><br>
<input type="submit" value="Загрузить..." style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
</form>
</div>
';

}

break;

case 'upload_go':

if(isset($_SESSION['auth']) and $_SESSION['auth']==1){

$dir_id = $_GET['dir_id'];

$dir_id = intval($_GET['dir_id']);

$dir_check =  mysql_fetch_assoc(mysql_query("SELECT * FROM `dir` where id='".$dir_id."'"));

if(!$dir_check){

header("Location: /?");

}

$name = $_POST['name'];
$about = $_POST['about'];

if(empty($_FILES["filename"])){

echo '
Ошибка!
'; exit;

}

if($_FILES["src1"]["size"] > 1024*1*1024){

echo ("Размер скриншота превышает 1 мегабайт");
exit;

}

if($_FILES["src2"]["size"] > 1024*1*1024){

echo ("Размер скриншота превышает 1 мегабайт");
exit;

}

if($_FILES["src3"]["size"] > 1024*1*1024){

echo ("Размер скриншота превышает 1 мегабайт");
exit;

}
if($_FILES["src4"]["size"] > 1024*1*1024){

echo ("Размер скриншота превышает 1 мегабайт");
exit;

}
if($_FILES["src5"]["size"] > 1024*1*1024){

echo ("Размер скриншота превышает 1 мегабайт");
exit;

}


if($_FILES["filename"]["size"] > 1024*10*1024){

echo ("Размер файла превышает три мегабайт");
exit;

}

$file_id = ''.rand(1,999999).'_'.rand(1,999999).'';

if($_FILES["src1"]["name"]!=""){

if($_FILES["src1"]['type']!="image/gif" && $_FILES["src1"]['type']!="image/jpg" && $_FILES["src1"]['type']!="image/jpeg" && $_FILES["src1"]['type']!="image/png"){

echo ("Файл не является скриншотом!");
exit;

}

if(is_uploaded_file($_FILES["src1"]["tmp_name"])){

move_uploaded_file($_FILES["src1"]["tmp_name"], "dir/".$dir_id."/".$_FILES["filename"]["name"]."_".$_FILES["src1"]["name"]."");

}else{
   
echo("Ошибка загрузки скриншота!");
      
}

}

if($_FILES["src2"]["name"]!=""){

if(is_uploaded_file($_FILES["src2"]["tmp_name"])){

move_uploaded_file($_FILES["src2"]["tmp_name"], "dir/".$dir_id."/".$_FILES["filename"]["name"]."_".$_FILES["src2"]["name"]."");

}else{
   
echo("Ошибка загрузки скриншота!");
      
}

}

if($_FILES["src3"]["name"]!=""){

if(is_uploaded_file($_FILES["src3"]["tmp_name"])){

move_uploaded_file($_FILES["src3"]["tmp_name"], "dir/".$dir_id."/".$_FILES["filename"]["name"]."_".$_FILES["src3"]["name"]."");

}else{
   
echo("Ошибка загрузки скриншота!");
      
}

}

if($_FILES["src4"]["name"]!=""){

if(is_uploaded_file($_FILES["src4"]["tmp_name"])){

move_uploaded_file($_FILES["src4"]["tmp_name"], "dir/".$dir_id."/".$_FILES["filename"]["name"]."_".$_FILES["src4"]["name"]."");

}else{
   
echo("Ошибка загрузки скриншота!");
      
}

}

if($_FILES["src5"]["name"]!=""){

if(is_uploaded_file($_FILES["src5"]["tmp_name"])){

move_uploaded_file($_FILES["src5"]["tmp_name"], "dir/".$dir_id."/".$_FILES["filename"]["name"]."_".$_FILES["src5"]["name"]."");

}else{
   
echo("Ошибка загрузки скриншота!");
      
}

}
   
if(is_uploaded_file($_FILES["filename"]["tmp_name"])){

move_uploaded_file($_FILES["filename"]["tmp_name"], "dir/".$dir_id."/".$_FILES["filename"]["name"]."");

}else{
   
echo("Ошибка загрузки файла");
      
}
if($_FILES["src1"]["name"]!=""){

$src1 = "".$_FILES["filename"]["name"]."_".$_FILES["src1"]["name"];

}

if($_FILES["src2"]["name"]!=""){

$src2 = "".$_FILES["filename"]["name"]."_".$_FILES["src2"]["name"];

}

if($_FILES["src3"]["name"]!=""){

$src3 = "".$_FILES["filename"]["name"]."_".$_FILES["src3"]["name"];

}

if($_FILES["src4"]["name"]!=""){

$src4 = "".$_FILES["filename"]["name"]."_".$_FILES["src4"]["name"];

}

if($_FILES["src5"]["name"]!=""){

$src5 = "".$_FILES["filename"]["name"]."_".$_FILES["src5"]["name"];

}

$filename = 'dir/'.$dir_id.'/'.$_FILES["filename"]["name"];
if(!file_exists($filename)){

echo '
Ошибка!
'; exit;

}


mysql_query("INSERT INTO `file` (`id`,`dir`,`file`,`name`,`src1`,`src2`,`src3`,`src4`,`src5`,`about`,`author`,`date_upload`,`downloads`,`rating`)VALUES('' ,'".$dir_id."', '".$_FILES["filename"]["name"]."','".$name."','".$src1."','".$src2."','".$src3."','".$src4."','".$src5."','".$about."','','".time()."','0','0')");

header("Location: ?act=view_dir&dir_id=$dir_id");

}

break;

case 'view_file':

$file_id = $_GET['file_id'];

$file_id = intval($_GET['file_id']);

$file_check =  mysql_fetch_assoc(mysql_query("SELECT * FROM `file` where id='".$file_id."'"));

if(!$file_check){

header("Location: /?");

}

$file_info = mysql_fetch_array(mysql_query("SELECT * FROM `file` WHERE id='".$file_id."'"));

$dir_info = mysql_fetch_array(mysql_query("SELECT * FROM `dir` WHERE id='".$file_info['dir']."'"));

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#eee;margin-bottom:1px;"><a href="/?">Главная</a>/<a href="?act=view_dir&amp;dir_id='.$dir_info['id'].'">'.$dir_info['name'].'</a></div>';

echo '
<div style="padding:1px 5px 1px 5px;font-size:11px;">
<big>'.$file_info['name'].'</big><br>';

if($file_info['src1']!="" or $file_info['src2']!="" or $file_info['src3']!="" or $file_info['src4']!="" or $file_info['src5']!=""){

echo '<b>Скриншоты:</b><br>';

}

if($file_info['src1']!=""){

echo '<a href="dir/'.$file_info['dir'].'/'.$file_info['src1'].'"><img src="dir/'.$file_info['dir'].'/'.$file_info['src1'].'" width="50px" height="50px" alt=""/></a>';

}
if($file_info['src2']!=""){

echo '<a href="dir/'.$file_info['dir'].'/'.$file_info['src2'].'"><img src="dir/'.$file_info['dir'].'/'.$file_info['src2'].'" width="50px" height="50px" alt=""/></a>';

}
if($file_info['src3']!=""){

echo '<a href="dir/'.$file_info['dir'].'/'.$file_info['src3'].'"><img src="dir/'.$file_info['dir'].'/'.$file_info['src3'].'" width="50px" height="50px" alt=""/></a>';

}
if($file_info['src4']!=""){

echo '<a href="dir/'.$file_info['dir'].'/'.$file_info['src4'].'"><img src="dir/'.$file_info['dir'].'/'.$file_info['src4'].'" width="50px" height="50px" alt=""/></a>';

}
if($file_info['src5']!=""){

echo '<a href="dir/'.$file_info['dir'].'/'.$file_info['src5'].'"><img src="dir/'.$file_info['dir'].'/'.$file_info['src5'].'" width="50px" height="50px" alt=""/></a>';

}

if($file_info['src1']!="" or $file_info['src2']!="" or $file_info['src3']!="" or $file_info['src4']!="" or $file_info['src5']!=""){

echo '<br>';

}

$file = "dir/$file_info[dir]/$file_info[file]";

echo ''.$file_info['about'].'<br>
<b>Добавлен:</b> '.date("d.m.Y в H:i",$file_info['date_upload']).'<br>
<b>Размер:</b> '.filesize_get($file).'<br>
<b>Скачиваний:</b> '.$file_info['downloads'].'<br><br>
<a href="?act=load_file&amp;file_id='.$file_info['id'].'"><b>Скачать</b></a><br>
<input value="http://'.$_SERVER['SERVER_NAME'].'/dir/'.$file_info['dir'].'/'.$file_info['file'].'"/>
</div>';

break;

case 'load_file':

$file_id = $_GET['file_id'];

$file_id = intval($_GET['file_id']);

$file_check =  mysql_fetch_assoc(mysql_query("SELECT * FROM `file` where id='".$file_id."'"));

if(!$file_check){

header("Location: /?");

}

$file_info = mysql_fetch_array(mysql_query("SELECT * FROM `file` WHERE id='".$file_id."'"));

mysql_query("UPDATE file SET downloads=downloads+1 WHERE id='".$file_id."'");

header("Location: dir/$file_info[dir]/$file_info[file]");

break;

case 'search':

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#eee;margin-bottom:1px;"><a href="/?">Главная</a>/Поиск файлов</div>';

echo '
<div style="padding:1px 5px 1px 5px;font-size:11px;background:#F9F9F9;">
<form action="?act=search&amp;go=search" method="post">
Что ищем?:<br><input name="file"/><br>
<input type="submit" value="Поиск" style="padding:1px 5px 1px 5px;font-size:11px;"/><br>
</form>
';

if($_GET['go']=="search"){

$file = $_POST['file'];

$file=ereg_replace("( ){2,}"," ",$file);
$file=ereg_replace("^( ){1,}|( ){1,}$","",$file);

$files = mysql_fetch_array(mysql_query("SELECT * FROM `file` WHERE name='".$file."'"));

if($files==0){

echo '
<br>По вашему запросу ничего не найдено!
'; exit;

}


$files_count=mysql_result(mysql_query("SELECT COUNT(*) FROM `file` WHERE `name` LIKE '%".$file."%';"), 0);
$page=isset($_GET['p'])?$_GET['p']:1;

$file=mysql_query("SELECT * FROM `file` WHERE `name` LIKE '%".$file."%' ORDER BY `name` DESC LIMIT ".(($page-1)*10).", 10;");

while($file2=@mysql_fetch_array($file)){

$file_url = "dir/$file2[dir]/$file2[file]";

echo '<div style="padding:1px 5px 1px 5px;font-weight:bold;font-size:11px;background:#f5f5f5;margin-bottom:1px;"><a href="?act=view_file&amp;file_id='.$file2['id'].'"><b>'.$file2['name'].'</b></a> ['.substr($file2[file],1+strrpos($file2[file],".")).'|'.filesize_get($file_url).']</div>
<div style="padding:1px 5px 1px 5px;font-size:10px;">'.mb_substr($file2[about], 0, 300).'...<br><a href="?act=load_file&amp;file_id='.$file2['id'].'"><b>Скачать</b></a></div>';
echo '<div>';

}

nav($files_count, $page, '?act=search&go=search&', 10); //навигация


echo '</div>';

}

break;

}

include 'inc/foot.php';
?>